ngcp-csc-ui (12.5.1.61+0~mr12.5.1.61) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [c4e29b7] MT#64240 Fix call page input bug

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 11 Feb 2026 17:38:21 +0100

ngcp-csc-ui (12.5.1.60+0~mr12.5.1.60) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [8d02e9b] MT#64368 Fix vuln deps with yarn resolutions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 11 Feb 2026 08:51:42 +0100

ngcp-csc-ui (12.5.1.59+0~mr12.5.1.59) unstable; urgency=medium

  [ Giancarlo Errigo Mattos ]
  * [f66f478] MT#63433 -  PBX device page improvements

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 05 Feb 2026 09:14:09 +0100

ngcp-csc-ui (12.5.1.58+0~mr12.5.1.58) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [fd031cb] MT#63983 Upgrade libraries

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 08 Jan 2026 14:14:09 +0100

ngcp-csc-ui (12.5.1.57+0~mr12.5.1.57) unstable; urgency=medium

  [ Crescenzo Debora ]
  * [e85e084] Revert "MT#63046 Update @quasar/app-webpack and relevant libs"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 08:24:44 +0100

ngcp-csc-ui (12.5.1.56+0~mr12.5.1.56) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [8e715e0] MT#64037 PBXGroup Custom Announcements Bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 04 Dec 2025 14:29:39 +0100

ngcp-csc-ui (12.5.1.55+0~mr12.5.1.55) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [de8159f] MT#63046 Upgrade libs to latest
  * [133c161] MT#63046 Update @quasar/app-webpack and relevant libs
  * [ba2e366] MT#63734 Activate ICE configuration

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 26 Nov 2025 10:22:19 +0100

ngcp-csc-ui (12.5.1.54+0~mr12.5.1.54) unstable; urgency=medium

  [ Hugo Zigha ]
  * [874c005] MT#61834 Upgrade vue-i18n to v11

  [ Nouhaila Idrissi Zouggari ]
  * [abf978a] MT#61209 Upgrade to eslint 9.14.0 and add JS Policy's rules

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 10:30:04 +0100

ngcp-csc-ui (12.5.1.53+0~mr12.5.1.53) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [cb921f8] MT#63823 Upgrade Axios library

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 10 Nov 2025 09:02:52 +0100

ngcp-csc-ui (12.5.1.52+0~mr12.5.1.52) unstable; urgency=medium

  [ Giancarlo Errigo Mattos ]
  * [c07e255] MT#63511 Fix Faxes tab visibility

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 05 Nov 2025 16:45:16 +0100

ngcp-csc-ui (12.5.1.51+0~mr12.5.1.51) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [14f8914] MT#63758 Fix 'ResizeObserver loop' Error

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Nov 2025 10:09:04 +0100

ngcp-csc-ui (12.5.1.50+0~mr12.5.1.50) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [456abbd] MT#63772 Update docs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Oct 2025 15:57:10 +0100

ngcp-csc-ui (12.5.1.49+0~mr12.5.1.49) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [fdb20de] MT#63627 Call queue route access bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2025 12:59:50 +0200

ngcp-csc-ui (12.5.1.48+0~mr12.5.1.48) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [8db9044] MT#63627 remove unnecessary licence check

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 30 Sep 2025 14:46:39 +0200

ngcp-csc-ui (12.5.1.47+0~mr12.5.1.47) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [3c9098e] MT#63591 Disable subscriber phonebook menu in CE platforms

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Sep 2025 08:58:54 +0200

ngcp-csc-ui (12.5.1.46+0~mr12.5.1.46) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [6ccaba5] MT#63384 Fix Group Details page crash upon refresh

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 17 Sep 2025 09:30:19 +0200

ngcp-csc-ui (12.5.1.45+0~mr12.5.1.45) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [70fccff] MT#63561 Fix crash on PBX seat page due to unauthorized error

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 Sep 2025 09:37:20 +0200

ngcp-csc-ui (12.5.1.44+0~mr12.5.1.44) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [e6d6cc8] MT#63508 Avoid direct Vuex state mutation in CscPageCallRecording

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Sep 2025 10:52:26 +0200

ngcp-csc-ui (12.5.1.43+0~mr12.5.1.43) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [5dfc2c4] MT#63356 Align CSC route guards with menu visibility

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 29 Aug 2025 11:07:06 +0200

ngcp-csc-ui (12.5.1.42+0~mr12.5.1.42) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [56ca676] MT#63428 align day and month values with admin-ui

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 21 Aug 2025 14:23:27 +0200

ngcp-csc-ui (12.5.1.41+0~mr12.5.1.41) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [13db81e] MT#61383 Allow admin PBX users to toggle Mail2Fax feature

  [ Crescenzo Debora ]
  * [22a0697] Revert "MT#61383 Allow admin PBX users to toggle Mail2Fax feature"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Aug 2025 09:21:03 +0200

ngcp-csc-ui (12.5.1.40+0~mr12.5.1.40) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [0eecf03] MT#63340 Fix generate password

  [ Debora Crescenzo ]
  * [f646a35] MT#63310 Adapt csc_call bar

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 07 Aug 2025 13:29:37 +0200

ngcp-csc-ui (12.5.1.39+0~mr12.5.1.39) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [1a11c27] MT#62617 Add missing translations

  [ Debora Crescenzo ]
  * [0a30fae] MT#62617 Add missing Spanish translations

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 04 Aug 2025 16:53:30 +0200

ngcp-csc-ui (12.5.1.38+0~mr12.5.1.38) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [df1d4f1] MT#63310 Improve handling of long words in main menu

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 Jul 2025 14:38:32 +0200

ngcp-csc-ui (12.5.1.37+0~mr12.5.1.37) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [47fd85a] MT#63292 Remove stylus

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 28 Jul 2025 11:33:48 +0200

ngcp-csc-ui (12.5.1.36+0~mr12.5.1.36) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [9049820] MT#62916 Pbx Devices Bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 12 Jun 2025 17:38:35 +0200

ngcp-csc-ui (12.5.1.35+0~mr12.5.1.35) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [33c78ff] MT#62769 The sendFax icon appears in the PBX Configuration even if the functionality is not enabled

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Jun 2025 09:41:46 +0200

ngcp-csc-ui (12.5.1.34+0~mr12.5.1.34) unstable; urgency=medium

  [ Hugo Zigha ]
  * [3bf98b8] MT#62713 Added missing announce preferences for Groups Menu in CSC

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 19 May 2025 11:10:58 +0200

ngcp-csc-ui (12.5.1.33+0~mr12.5.1.33) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [1f5314d] MT#62760 After Ring timeout CFSeat bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 19 May 2025 10:28:37 +0200

ngcp-csc-ui (12.5.1.32+0~mr12.5.1.32) unstable; urgency=medium

  [ nidrissi-zouggari ]
  * [3d86575] MT#62703 CSC Translation

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 15 May 2025 13:53:08 +0200

ngcp-csc-ui (12.5.1.31+0~mr12.5.1.31) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [0077bc0] MT#62751 Backport Dep upgrade commit

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 14 May 2025 10:25:59 +0200

ngcp-csc-ui (12.5.1.30+0~mr12.5.1.30) unstable; urgency=medium

  [ Alessio Garzi ]
  * [f5acf9e] MT#62756 CSC now sends Referred-By with callee local data in blind xfer

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 13 May 2025 09:07:22 +0200

ngcp-csc-ui (12.5.1.29+0~mr12.5.1.29) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [5e93b4d] MT#62500 Refactor logic of PBx Devices pages

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 06 May 2025 09:33:18 +0200

ngcp-csc-ui (12.5.1.28+0~mr12.5.1.28) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [b5bf9d5] MT#62617 Add missing Italian translations

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 02 May 2025 10:00:04 +0200

ngcp-csc-ui (12.5.1.27+0~mr12.5.1.27) unstable; urgency=medium

  [ Nico Schedel ]
  * [6e05f5a] MT#62533 add data-cy to global call forward after ring timeout

  [ nidrissi-zouggari ]
  * [01d42a1] MT#62363 CSC Translation

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 Apr 2025 09:48:45 +0200

ngcp-csc-ui (12.5.1.26+0~mr12.5.1.26) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [f0eaf62] MT#62359 Improve "After Ring Timeout" Settings

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 14:31:51 +0200

ngcp-csc-ui (12.5.1.25+0~mr12.5.1.25) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [ebf7991] MT#62495  Add devices admin password input

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Apr 2025 09:47:13 +0200

ngcp-csc-ui (12.5.1.24+0~mr12.5.1.24) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [5cc6dfe] MT#62377 Change German translation for banned profiles

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 04 Apr 2025 09:17:48 +0200

ngcp-csc-ui (12.5.1.23+0~mr12.5.1.23) unstable; urgency=medium

  [ Hugo Zigha ]
  * [682baf5] MT#62145 Fix error handling in CscPageCustomerPhonebookAdd and in CscPageSubscriberPhonebookAdd

  [ nidrissi-zouggari ]
  * [e7072a9] MT#62117 Handle ban error

  [ Debora Crescenzo ]
  * [54fcbb2] MT#62324 Improve PBX translations

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 11 Mar 2025 12:50:09 +0100

ngcp-csc-ui (12.5.1.22+0~mr12.5.1.22) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [12e067a] MT#62251 Device Alignment Image Bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 07 Mar 2025 09:00:33 +0100

ngcp-csc-ui (12.5.1.21+0~mr12.5.1.21) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [e257d10] MT#62070 Fix Dashboard Containers Overflow Issue

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 13 Feb 2025 09:29:14 +0100

ngcp-csc-ui (12.5.1.20+0~mr12.5.1.20) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [55bb82b] MT#62025 Add multipart/form-data to api/faxes req

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 05 Feb 2025 17:07:43 +0100

ngcp-csc-ui (12.5.1.19+0~mr12.5.1.19) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [ce93f54] MT#62062 Reload CF after amending source set Bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 05 Feb 2025 12:49:34 +0100

ngcp-csc-ui (12.5.1.18+0~mr12.5.1.18) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [f18bb1d] MT#62025 Send Fax 422 error bugfix

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 03 Feb 2025 08:46:05 +0100

ngcp-csc-ui (12.5.1.17+0~mr12.5.1.17) unstable; urgency=medium

  [ Hugo Zigha ]
  * [ff712ef] MT#61710 change inputs behavior

  [ nidrissi-zouggari ]
  * [770127b] MT#61841 Change translation

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2025 10:46:13 +0100

ngcp-csc-ui (12.5.1.16+0~mr12.5.1.16) unstable; urgency=medium

  [ Marco Capetta ]
  * [aa84d5b] MT#59913 Add new Portuguese language to soundset

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jan 2025 14:53:26 +0100

ngcp-csc-ui (12.5.1.15+0~mr12.5.1.15) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [e403385] MT#61635 CF bugfixes
  * [9e8d8fe] MT#61635 Amend translations for call forwarding
  * [8fc0873] MT#61635 Fix German translation for "custom time set"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Jan 2025 09:17:06 +0100

ngcp-csc-ui (12.5.1.14+0~mr12.5.1.14) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [820577b] MT#61314 Change call recordings DELETE

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Dec 2024 09:36:31 +0100

ngcp-csc-ui (12.5.1.13+0~mr12.5.1.13) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [1e7a39b] MT#61536 Improve how password requirements are handled

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 26 Nov 2024 10:17:09 +0100

ngcp-csc-ui (12.5.1.12+0~mr12.5.1.12) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [741b074] MT#61534 Improve bundling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 Nov 2024 09:44:30 +0100

ngcp-csc-ui (12.5.1.11+0~mr12.5.1.11) unstable; urgency=medium

  [ Nouhaila Idrissi Zouggari ]
  * [567b605] MT#61397 Add German translation for the customer phonebook, customer preferences, and the related menu

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 14 Nov 2024 17:51:26 +0100

ngcp-csc-ui (12.5.1.10+0~mr12.5.1.10) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [6f4fa13] MT#60627 remove outdated caniuse-lite warning
  * [1810ad5] MT#59555 Dependencies upgrade

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 07 Nov 2024 11:26:34 +0100

ngcp-csc-ui (12.5.1.9+0~mr12.5.1.9) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [cf93e66] MT#61228 Replace direct access to state with a getter

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 07 Nov 2024 10:52:43 +0100

ngcp-csc-ui (12.5.1.8+0~mr12.5.1.8) unstable; urgency=medium

  [ Hugo Zigha ]
  * [05be693] MT#61128 APP Download button overlapping on main menu fixed

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 04 Oct 2024 12:13:43 +0200

ngcp-csc-ui (12.5.1.7+0~mr12.5.1.7) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [4866fd3] MT#60689 Dynamic password requirements

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 03 Oct 2024 12:59:55 +0200

ngcp-csc-ui (12.5.1.6+0~mr12.5.1.6) unstable; urgency=medium

  [ Debora Crescenzo ]
  * [e6cfbaa] MT#60860 Update new sipwise logo in CSC

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 11 Sep 2024 23:25:59 +0200

ngcp-csc-ui (12.5.1.5+0~mr12.5.1.5) unstable; urgency=medium

  [ Hugo Zigha ]
  * [dd2298b] MT#60711 removing lang parameter when we use api v2

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 22 Aug 2024 12:58:34 +0200

ngcp-csc-ui (12.5.1.4+0~mr12.5.1.4) unstable; urgency=medium

  [ Marco Capetta ]
  * [eba868b] MT#60674 Fix page permission for CE users

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 21 Aug 2024 14:09:24 +0200

ngcp-csc-ui (12.5.1.3+0~mr12.5.1.3) unstable; urgency=medium

  [ Marco Capetta ]
  * [7e597d6] MT#60613 Fix NCOS and NCOS Sets visibility in Block Outgoing page
  * [5ac4a2f] MT#59449 Fix selenium tests after password enforcements

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 21 Aug 2024 10:17:22 +0200

ngcp-csc-ui (12.5.1.2+0~mr12.5.1.2) unstable; urgency=medium

  [ Nouhaila Idrissi Zouggari ]
  * [adec1e2] MT#60641  Adapt random password generator to the new security standards

  [ Debora Crescenzo ]
  * [e7aee79] MT#60623 Hide features not covered by the license
  * [14c50c0] MT#60623 Add translations for invalid license error message

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 21 Aug 2024 09:28:07 +0200

ngcp-csc-ui (12.5.1.1+0~mr12.5.1.1) unstable; urgency=medium

  [ Hugo Zigha ]
  * [e2fb249] MT#60578 Navigates to /dashboard on refresh

  [ Debora Crescenzo ]
  * [732e154] MT#60583 Amend Login API calls and 403 Invalid Licence err

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 14 Aug 2024 13:59:20 +0200

ngcp-csc-ui (12.5.1.0+0~mr12.5.1.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [a66dff2] MT#60161 add an error message and stop the loading on network error
  * [de247fa] MT#60288 Changing Language in Voicebox shows "Path not found" error

  [ Debora Crescenzo ]
  * [35a4b26] MT#60068 Add ¨force CLI¨ checkbox to csc add pbx seat form
  * [ccf2b82] MT#60150 sip username changes in pbx group creation
  * [668e23d] MT#60289 Uploading greeeting files in voicebox bug fix
  * [c78df75] MT#60187 bugfixes on call forwarding

  [ Nouhaila Idrissi Zouggari ]
  * [f11e898] MT#58736 Improve Cloud PBX Device configuration adding some preferences
  * [99fa8dd] MT#58738 add possibility to configure fax and voicebox for seats/groups
  * [aff80a1] MT#60292 Selection for announcements missing : temp & greet
  * [0cb6554] MT#58743 Create a new Pbx Configuration -> Customer Preferences page
  * [93cbfb6] MT#60527 CSC-UI has the APP download button overlapping Dashboard

  [ Marco Capetta ]
  * [0c602b0] MT#60292 Fix German translation for new greeting messages

  [ Nico Schedel ]
  * [f8056e0] MT#56388 fix failing call blocking selenium tests

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:02:42 +0200

ngcp-csc-ui (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [41f3ab7] MT#59624 update firefox in docker to fix segfaults
  * [37e582f] MT#56388 fix failing selenium csc tests

  [ Hugo Zigha ]
  * [eceac96] MT#57754 ACL is buggy on CSC
  * [d79b656] MT#59800 Impossible to go to next page for seat configuration
  * [56bf301] MT#59848 Cannot use callback/ Rückruf option from Phonebook + call history isn't linking the no. that called with the Phonebook
  * [dac5941] MT#58744 Add some new subscriber's preferences in the 'pbx configuration > seats' page

  [ Nouhaila Idrissi Zouggari ]
  * [6b7d53e] MT#59888 Call back without domain
  * [89507f5] MT#58739 Add possibility to configure the customer phonebook

  [ Debora Crescenzo ]
  * [762256c] MT#60094 Add "no-trailing-spaces" rule in linter
  * [3508a11] MT#60094 Lint review

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:31:32 +0200

ngcp-csc-ui (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [d810727] MT#59145 When Chrome browser is set to Czech language the CSC throws a Javascript error

  [ Nico Schedel ]
  * [4d6ad4a] MT#57568 add data-cy to privacy page

  [ Rene Krenn ]
  * [cd25874] MT#56239 enable caller/callee wildcards for conversations and recordings

  [ Nouhaila Idrissi Zouggari ]
  * [03a494b] MT#58958 Add support to call hold/unhold to the webrtc client
  * [dc1d714] MT#59231 let the user know when it has been put on hold
  * [9008ae2] MT#59358 HOLD button available only for PRO customers and hidden for CE customers
  * [ef05bdf] MT#59232 add blind transfer feature
  * [30470ef] MT#59450 Add a banner to CE UI to suggest to buy the PRO version

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:48:16 +0100

ngcp-csc-ui (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [8975d78] MT#58893 Fix build failures for missing jest module
  * [8d73ce0] MT#57752 Removing SecretKey for mail2fax doesn't work
  * [598bf48] MT#58355 call forwarding to fax2mail for a subs. does not work when configured with admin account - the fax arrives in admin account

  [ Marco Capetta ]
  * [1f3fb41] MT#58591 Fix 'Subscriber' tranlation in German

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:47:10 +0100

ngcp-csc-ui (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [0bb677f] MT#58391 Chaijs/get-func-name vulnerable to ReDoS - CVE-2023-43646
  * [1bb32f5] MT#58605 CSC Administrative subscriber cannot create Seats or Group if ext_range_min specified in Customer prefs
  * [6e33e2d] MT#58500 [CSC]Cannot assign seat on SNOM D865 devices
  * [52beb5f] MT#58597 CSC does not allow to modify CF ring timeout

  [ Nico Schedel ]
  * [074d7d7] MT#56388 fix all selenium csc tests
  * [30d8240] MT#58591 Add missing german translations
  * [2ebd1ee] MT#57568 add missing data-cy to reminders

  [ Marco Capetta ]
  * [5bd459c] MT#58591 Update all the language files

  [ Nouhaila Idrissi Zouggari ]
  * [77ef397] MT#58686 fix the phonebook access after having update the API endpoints
  * [64fecf2] MT#58658 After creating a new subscriber, visiting the reminders page doesnt let you enable reminders initially

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:36:47 +0100

ngcp-csc-ui (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [c833595] MT#52919 CSC: QuasarMigration - Migrate Quasar from v1 to v2
  * [74ff3a2] MT#58239 time selector of the REMINDER page doesn't allow to select minutes
  * [785a8c7] MT#58235 it is possible to press the GREEN dial button even without entering the number to dial
  * [57d4c4a] MT#58237 setting/unsetting a soundset as Default for subscribers return an error code
  * [140dc86] MT#53022 QuasarMigration - Remove all commented code
  * [6dd98b6] MT#53027 QuasarMigration - All components must have "name" property
  * [3aef140] MT#57030 Update AUI and CSC to fix latest security warnings
  * [276ebf3] MT#56937 Don't allow CSC starting calls without any microphone enabled
  * [8e7c0ad] MT#58238 CSC: selected NCOS/NCOSset cannot be removed
  * [177f01d] MT#58289 add possibility to view the CDRs of the customer

  [ Marco Capetta ]
  * [4d76a53] MT#58236 Add missing soundset languanges

  [ Author: Nouhaila Idrissi Zouggari ]
  * [e10c356] MT#58240 there is no possibility to delete phonebook entries

  [ Guillem Jover ]
  * [9aed064] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:23:49 +0200

ngcp-csc-ui (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [6767abe] MT#57453 Switch docker image to bookworm

  [ Nico Schedel ]
  * [0536822] MT#57776 update dockerfile to make python csc tests work on debian 12
  * [a618ad9] MT#57776 fix csc test preperation
  * [90387d0] MT#57776 fix csc security tests
  * [a511196] MT#57776 fix csc test preperation on jenkins side
  * [fdee658] MT#57776 fix csc test preperation on jenkins side (again)

  [ Hugo Zigha ]
  * [a72696e] MT#57783 HG master data: add new preference `pbx_hunt_cancel_mode`
  * [3e3e123] MT#55674 We cannot remove fax files from the CSC

  [ nouhaila ]
  * [37a807d] MT#57080 Expose Phonebook in the CSC

  [ Author: Nouhaila Idrissi Zouggari ]
  * [6822e7c] MT#57750 Tooltip for mail2fax ACL is not translated to German
  * [1406526] MT#57750 Tooltip for mail2fax ACL is not translated to German
  * [e02805e] MT#57577 subscriber's administrator should be able to configure NCOS and NCOS_SET of seats

  [ Marco Capetta ]
  * [f81267e] MT#57577 Make ncos and ncos_set visibile accordingly to profile
  * [e5b0fb3] MT#58074 Allow the selection of all the aliases as cli

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:04:23 +0200

ngcp-csc-ui (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Hugo Zigha ]
  * [87d31b2] MT#56986 [CSC] Add possibility to select parent soundset when creating/editing a soundset
  * [d45f67b] MT#56987 Add possibility to select for each soundset announcement if the parent soundset has to be used or not
  * [9ca8d4b] MT#56989 Soundset page general UI improvements
  * [68f189b] MT#57030 Update AUI and CSC to fix latest security warnings
  * [8ee50d2] MT#57588 [CSC-UI] Dashboard Call List is showing received calls with wrong time

  [ Nico Schedel ]
  * [b6f1e44] MT#56388 fix call forwards csc test
  * [db1df27] MT#55492 add data-cy to call forward page
  * [1e39ce3] MT#55492 add data-cy to reminder page
  * [39adcab] MT#55492 add data-cy to speed dial page

  [ Marco Capetta ]
  * [b925553] MT#57183 Rename 'PBX Settings' to 'Extension Settings'
  * [04d9274] MT#57240 Allow '+' char in device line number definition
  * [21f9d8a] MT#57273 MT#57274 Update german translation
  * [a2cc142] MT#57338 Remove preferences when set to false or empty array value
  * [f2d08d8] MT#57305 Fix ringtimeout configuration on CFT for seats/groups
  * [7849c0d] MT#57305 CSC CFT feature requires +E.164 number format
  * [d53f9f1] MT#57604 Show all registered devices for subscriber's admin
  * [7e58437] MT#57605 Remove username indication in registered devices

  [ Georges Francisco ]
  * [7395ef0] MT#57195 move clir_intrapbx setting to privacy page

  [ Guillem Jover ]
  * [bba8cab] TT#175000 Remove rtcengine support

  [ nouhaila ]
  * [b9c1320] MT#57605 allow the deletion of current registered devices

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:10:37 +0200

ngcp-csc-ui (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Georges Francisco ]
  * [3f298e0] MT#54861 Configure sip username, display-names and web username independently in CSC
  * [6d58d48] MT#56506 [CSC] The primary number reported in CF setting of a seat is not correct
  * [88925a2] MT#56962 [CSC] Align the code if Call forwards setup for seats to the one used for Groups
  * [f30a830] MT#56954 [CSC] fix Call forward configuration UI issues

  [ Marco Capetta ]
  * [64e8ff3] MT#55940 Add new speeddial, forward, transfer device buttons
  * [cc3c5bd] MT#56783 Show SIP password only to administrative subscribers
  * [2f415cf] MT#56403 Align PBX Configuration visibility with assigned profile
  * [c3a912f] MT#55336 Add support for items that returned from a non array API
  * [9e6597f] MT#56505 [CSC] Add possibility to configure call forwards also for groups
  * [45d9967] MT#56403 Add new internal preferences to show/hide CSC menus

  [ CORP\franci11 ]
  * [58361b0] MT#32999 Customer admin must be able to configure seat's call forward

  [ nouhaila ]
  * [4c80215] MT#56399 Give option to disable SIP-password-change in CSC

  [ Hugo Zigha ]
  * [0308c9e] MT#55940 Add possibility to configure "user defined buttons" on phones via CSC panel

  [ Nico Schedel ]
  * [5202a81] MT#55492 add data-cy for music on hold
  * [c092c29] MT#56388 fix selenium csc tests
  * [60889fb] MT#55492 add data-cy to voicebox page
  * [28b12bf] MT#55492 add data-cy to call blocking pages
  * [02903fa] MT#55492 add data-cy to privacy page
  * [01c7d81] MT#55492 add data-cy to call recording page

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:04:01 +0100

ngcp-csc-ui (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [c97988e] MT#55391 Add NODE_PATH variable to Dockerfile

  [ Nico Schedel ]
  * [11b4a0f] MT#55492 add data-cy for login page
  * [24397c8] MT#55492 add data-cy for user menu
  * [9446710] MT#55492 add data-cy for call page
  * [d66f815] MT#55492 add data-cy to conversations page
  * [af558c2] MT#55492 add data-cy for empty list in conversations page
  * [3cdcf00] MT#55492 add data-cy for dashboard links to other pages
  * [48993e8] MT#55492 add data-cy for fax settings, sendfax and destination creation
  * [5d7e407] MT#55492 add data-cy for destinations list
  * [9dfcfff] MT#55492 add data-cy for deletion dialog

  [ Michael Prokop ]
  * [bd8a150] MT#55813 MT#55391 Use bundled yarn

  [ CORP\franci11 ]
  * [63a0099] MT#32998 Customer admin user should be able to open seats configuration in a separated page
  * [d83cb7f] MT#54497 do not change options 'description' on option change
  * [8c6405b] MT#53842 CSC: voicemail page doesn't report in which folder the messages are
  * [25fa549] MT#53860 Fix seat NameSyntax when creating a new subscriber
  * [9d84761] MT#56138 Call Recording in CSC and AUI does not show who is the caller/callee
  * [8030e05] MT#56083 [CSC] PBX Configuration > Groups configuration should be displayed like Seats
  * [168f403] MT#33001 Configure subscriber's CLI via CSC panel
  * [d772832] MT#53076 CSC: missing time/filter/search on Conversations page (comparing to v1 CSC)

  [ Hugo Zigha ]
  * [7f1094b] MT#55682 When uploading greeting files in CSC, filter shows unsupported options.
  * [ab8e008] MT#55676 Call to the webRTC not working properly
  * [c75aef6] MT#56003 update modules reported as critical
  * [dcb49eb] MT#56343 WebRTC calls stuck on CSC interface
  * [175c344] MT#56085 Reply with 486 from WebRTC when the user is busy in another conversation
  * [256332c] MT#56339 update modules reported as critical
  * [169cfa8] MT#53241 The last state of the "Main menu" is not restored after RTCengine call

  [ Marco Capetta ]
  * [2867213] MT#56307 PBX settings visible only if clir_intrapbx is enabled

  [ Georges Francisco ]
  * [c6613b0] MT#54808 Calls to Voicebox signed differently on Call list and Dashboard

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:43:09 +0100

ngcp-csc-ui (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  [ hherzog ]
  * [f81eb4d] TT#189650 Normalise item counts of all lists and set it to a value that fits all styles

  [ Nico Schedel ]
  * [7e42c96] TT#70901 fix voicebox test

  [ Kirill Solomko ]
  * [4b03168] MT#55391 update package to be build with node 18

  [ Daniel Grotti ]
  * [d8ee133] MT#55460 Stop ringing on CSC when call is connected or in progress

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:50:48 +0200

ngcp-csc-ui (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [0894dfe] TT#179952 Call - Hide "CSC Calls" functionality if subscriber profile csc_calls is not set
  * [9f0d279] TT#177101 Issue - PBXConfiguration - PBXSeats - Show SoundSet name if selected

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:01:33 +0200

ngcp-csc-ui (11.0.0.0+0~mr11.0.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [d33c931] TT#157152 Maintenance - Fix vulnerabilities in dependencies
  * [76abadf] TT#163513 Issue - CallForwarding - JS error on Forwarding tab after re-adding already deleted rule
  * [9da0c00] TT#174850 Trim leading, tailing whitespaces from login username

  [ Hans-Peter Herzog ]
  * [1746a7f] TT#164702 Branding - CSS customization for CSC-UI v2
  * [0c394be] TT#173850 Add permanent instance_id to SIP UA config
  * [73ba4fa] TT#175000 Remove RTCEngine related components
  * [666b7d1] TT#164701 CallForwarding - CustomAnnouncements - Removed id for default custom announcement

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:43:35 +0200

ngcp-csc-ui (10.5.0.0+0~mr10.5.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [469cf07] TT#158250 API: [netcologne] [CSC-UI] Cannot read properties of undefined (reading 'display_name')
  * [b2c1c7b] TT#163509 Issue - i18n - Missing localisation on Forwarding tab

  [ Alexander Lutay ]
  * [7f5b7ce] TT#115002 Update DE/ES/FR/IT/RU localisation for CSC-UI
  * [6a1e419] TT#166550 Remove Russian from NGCP.

  [ Nico Schedel ]
  * [becbbae] TT#70901 selenium: fix russian and italian strings for language test

  [ Hans-Peter Herzog ]
  * [e864670] TT#163506 CSC: wrong labels "New messages" and "Recent calls"
  * [55d5dee] TT#163508 Move "voicebox language" settings from "General" to "Voicebox"

  [ Javier Rodriguez ]
  * [641b6f6] TT#115002 Update Spanish Translations for ngcp-csc-ui

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 31 Mar 2022 00:00:05 +0200

ngcp-csc-ui (10.4.0.0+0~mr10.4.0.0) unstable; urgency=medium

  [ Carlo Venusino ]
  * [500c6fc] TT#148700 CallQueue - [Netcologne] CSC-UI manual reload is needed to see new group under call queue drop-down menu
  * [0a41139] TT#141104 SubscriberProfile - Not working for voicemail
  * [2d36cfe] TT#156201 Maintenance - Upgrade dependencies

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:56:01 +0100

ngcp-csc-ui (10.3.0.0+0~mr10.3.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [3d1c2a7] TT#136702 Fix vulnerabilities in dependencies
  * [c7e101c] TT#145750 adding refresh button onto Regisered Devices list

  [ Hans-Peter Herzog ]
  * [238f78c] TT#142700 CSC: Create a PoC integration of the VoIP(NGCP) call using Javascript library JsSip in combination with Kamailio's WebSocket module
  * [83d622f] TT#145001 Call - Implement Stage-3-WebRTC-API
  * [90eb048] TT#145900 Call - Configure video constraints including frameRate

  [ Nico Schedel ]
  * [3c92d05] TT#70901 selenium: fix accessing call page
  * [07b0e28] TT#70901 selenium: fix subscriber search in security test

  [ Guillem Jover ]
  * [cce4886] TT#124273 Update packaging for bullseye

  [ Carlo Venusino ]
  * [b790902] TT#134104 Issue - password change error shown Russian message ignoring choosen language
  * [ea9f43b] TT#149351 Seats - As PBXAdmin, I can update the Music on hold preference of all PBXSeats
  * [3c6ac2f] TT#149702 Reload dashboard registered devices after call functionality is available

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:18:13 +0100

ngcp-csc-ui (10.2.0.0+0~mr10.2.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [07a4dbd] TT#136550 CallForwarding - Add missing call forwarding types

  [ Nico Schedel ]
  * [15b9151] TT#70901 selenium: adapt to call forwarding button changes
  * [fd63fde] TT#70901 selenium: add new recording test
  * [17c0829] TT#70901 selenium: add new fax settings test
  * [ab7838d] TT#70901 selenium: add ability to skip tests depending on ce/pro usage
  * [3a30841] TT#70901 selenium: improve date selection in call forward tests
  * [76e2e41] TT#70901 selenium: add new securtiy tests
  * [aa50e1e] TT#70901 selenium: fix missing string conversions in call forwarding
  * [c25ef97] TT#70901 selenium: small debug screenshot fixes

  [ Carlo Venusino ]
  * [e877125] TT#137700 WebRTC make call screen still shown after setting "show_rtcengine_features=no"
  * [6f1b7fa] TT#138300 CallForwarding - Issues when setting pbx_base_cli as destination
  * [6ab3544] TT#136551 Send FAX - Content/File not working properly
  * [bbe230a] TT#141900 SendFax - Support *.tif as extension
  * [59f508e] TT#141051 Logout - Logout automatically if JWT token expiration time is reached

  [ Hugo Zigha ]
  * [b0536ec] TT#139201 Issue - AutoAttendant - Prevent user from adding multiple slots with the same slot number
  * [24b2843] TT#138353 AutoAttendant - Add 'default' action for the Auto-Attendant functionality
  * [9365f72] TT#139400 CallForwarding - Integrate conditional visibility depending on platform-info for certain call forwarding types
  * [ca69763] TT#128651 copy&paste number to dial, removing spaces and () and pressing enter to make a voice call.
  * [1d0d89c] TT#140451 Issue - SendFax - If failed fax is rendered in Conversations the destination number is supposed to be the receiver and not the sender
  * [12a514b] TT#141400 Issue - PBXConfiguration - SoundSet - Can not see (first) SoundSet after creation
  * [b5e7933] TT#129221 PBXSettings - ManagerSecretary - As PBX-Attendant (Pilot, Seat, Group), I can change my ManagerSecretary preferences
  * [f3865eb] TT#142850 Issue - ManagerSecretary - Can not add and save new numbers
  * [b9403d9] TT#129220 PBXSettings - CallQueue - As PBX-Attendant (Pilot, Seat, Group), I can change my CallQueue preferences

  [ Sergii Leonenko ]
  * [bd6a332] TT#128153 Refactor configuration injection
  * [0cfb10a] TT#140900 Issue - Login - Unable to log in

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:19:21 +0200

ngcp-csc-ui (10.1.0.0+0~mr10.1.0.0) unstable; urgency=medium

  [ Carlo Venusino ]
  * [781792f] TT#122006 Conversations->Faxes do not show failed fax sending
  * [f7054a0] TT#127353 Maintenance - Upgrade vulnerable dependencies
  * [7776ee9] TT#127759 Feedback on the label "Phone number" from the customer
  * [be19c20] TT#127353 Maintenance - Upgrade vulnerable dependencies
  * [389a6bc] TT#122015 Add QR-Code to login to sip:phone mobile app from CSC
  * [a282cd2] TT#130400 SubscriberProfiles - Hide main menu item, if none of the containing parts of the page are visible due to a SubscriberProfile
  * [61da993] TT#130250 Add data-cy selectors for QR code
  * [3349979] TT#133501 Add "expire" time to QR code generated for sip:phone

  [ Nico Schedel ]
  * [b950bff] TT#70901 selenium: fix for one element obscuring 'save' button
  * [77ffa11] TT#70901 selenium: only use one thread for local testruns
  * [0f37e24] TT#70901 selenium: small formatting changes
  * [fbf0f6d] TT#70901 selenium: update on "only use one thread for local testruns"
  * [8e65738] TT#70901 selenium: fix language changing test on login page
  * [cdc53a7] TT#70901 selenium: fix weird music on hold behavior
  * [6a6b953] TT#70901 selenium: add new checked_if_unchecked functions
  * [5b13af5] TT#70901 selenium: fix speed dial always taking screenshots
  * [9d1ad45] TT#70901 selenium: fix up logout_csc function
  * [1abc1c8] TT#70901 selenium: fix weird privacy setting behaviour
  * [f9f6881] TT#70901 selenium: choose call forwarding date more carefully
  * [79bf775] TT#70901 selenium: Fix for call forward menu not always opening reliably
  * [1fb7189] TT#70901 selenium: Only switch to old admin UI when necessary
  * [0d19893] TT#70901 selenium: prevent date selection from choosing year instead of date
  * [2cdfc79] TT#70901 selenium: change german comparison string when checking for language

  [ Hans-Peter Herzog ]
  * [05a10d4] TT#122014 Add links to Google/Apple app store is customer bought Sipphone app
  * [15c93c4] Revert "TT#127353 Maintenance - Upgrade vulnerable dependencies"
  * [0f66fdc] TT#127757 If mobile app badge configs has the same name, then show the name once
  * [773edd1] TT#129653 Conversations - List filtering is corrupted after performing an action on single item
  * [22739de] TT#129501 QR-Code test
  * [fc70ad2] TT#132162 As Admin, I want to login from AUIv1
  * [1b912b7] TT#136203 UserSettings - Reuse same Vue.js component for both SIP/Web password change

  [ CORP\hzigha ]
  * [b868415] TT#122029 As Subscriber/SubscriberAdmin, I want to see today as default date for all date selections based on QDate

  [ Victor Tsvetov ]
  * [0435786] TT#122703 Complete French translations
  * [ca34192] TT#129160 Add Russian translations file
  * [47b1429] TT#137552 Update German translations

  [ Sergii Leonenko ]
  * [f5c1f45] TT#127852 i18n - Extraction tool must extract to english language file only
  * [d7782b1] TT#128152 Remove legacy files which are not used anymore
  * [9bfde3e] TT#128154  i18n - Fix none reactive translations in all places
  * [0354615] TT#122202 ProxiedFeature - As SubscriberAdmin, I want to be able to access the "Customer Details" page in v1 from within v2
  * [5a3093e] TT#129212 Optimise the initial load of the user
  * [1c5fc09] TT#129900 i18n - Remove unused translation keys
  * [b45da7a] TT#130352 missing localisations on JS CSC
  * [ac204b3] TT#131362 MajorIssue - English translation for language translation is missing
  * [6fdc329] TT#132150 Fix language selection if default browser language is not en-US
  * [f633b6c] TT#129211 Extract registration of RTC:Engine global events from store
  * [62fb7e9] TT#127356 i18n - Key extraction command (i18n:extract) must ignore code in comments
  * [611d34e] TT#129653 Conversations - List filtering is corrupted after performing an action on single item
  * [ecfe57e] TT#134651 SIPAuth - As Subscriber/PBXAttendant, I want to change my SIP-Password, in order to authenticate my SIP-Device against NGCP
  * [e32dd9b] TT#134650 SIPAuth - As PBXAdmin, I want to change the (SIP)-passwords of all PBXAttendants

  [ CORP\hzigha ]
  * [8cbecc1] TT#127756 'Seats' strange filter behavior on clicking 'search' button

  [ hzigha ]
  * [5de2135] TT#129502 Add Russian language to the language menu
  * [4a5ebe4] TT#129504 Fix cropped main menu item text (Russian, German, ...)

  [ Alexander Lutay ]
  * [97538c4] TT#129160 fix ca34192: use label 'Русский' for Russian localization

  [ CORP\hzigha ]
  * [17f2345] TT#124272 AutoAttendant - As PBX-Attendant (Pilot, Seat, Group), I can change my AutoAttendant configuration

  [ Hugo Zigha ]
  * [1167737] TT#100754 Dashboard - As Customer, I want to see a Dashboard
  * [fe97011] TT#129050 Dashboard - As Customer, I want to see the most recent items (voicemails, calls, device-registrations) on the Dashboard
  * [b5ac2e0] TT#133950 Update expand param in /api/autoattendants request
  * [a3691b4] TT#134715 SIPAuth - As PBXAdmin, I want to set the SIP-password during the creation

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:51:30 +0200

ngcp-csc-ui (10.0.0.0+0~mr10.0.0.0) unstable; urgency=medium

  [ Carlo Venusino ]
  * [cd6e98a] TT#120900 CSC: CallRecording - Integrate server side pagination
  * [6bc5155] TT#100756 CallRecordings - As Customer, I want to filter CallRecordings by time range
  * [c07d21b] TT#117522 CallRecordings - As a Customer, I want to filter CallRecordings by caller and callee
  * [180cc90] TT#119466 CallRecordings - As Subscriber I want o be able to filter CallRecordings by CallID
  * [01032ca] TT#117521 Auto-attendant - As a SubscriberAdmin, I want to configure Auto-attendant slots
  * [2609e1b] TT#121651 CallRecordings - Integrate CscAudioPlayer
  * [be03c7f] TT#122353 CallRecordings - Lazy load audio files
  * [5388fe2] TT#122200 SubscriberProfiles - As Subscriber, I want to see the "Reminder"-Feature, if I have the permission according to the SubscriberProfile, to do so
  * [508205b] TT#123750 SubscriberProfiles - As Subscriber, I want to see the "VoiceMail"-Feature if I have the permission to do so
  * [df1df09] TT#124260 SubscriberProfiles - As Subscriber, I want to see the "MusicOnHold"-Feature if I have the permission to do so
  * [255fb80] TT#124257 SubscriberProfiles - As Subscriber, I want to see the "Speeddial"-Feature if I have the permission to do so
  * [202d8e0] TT#124265 SubscriberProfiles - Integrate block_in_list
  * [88d4591] TT#124268 SubscriberProfiles - Integrate block_out_list
  * [0742ffe] TT#124269 SubscriberProfiles - Integrate clir
  * [00b6452] TT#124261 SubscriberProfiles - Integrate block_in_mode
  * [f19270d] TT#124263 SubscriberProfiles - Integrate block_in_clir
  * [893d1da] TT#124267 SubscriberProfiles - Integrate block_out_mode
  * [0b0dc18] TT#124271 SubscriberProfiles - Integrate clir_intrapbx
  * [cd17075] TT#124401 SubscriberProfiles - Integrate language
  * [e16ccb6] TT#124277 SubscriberProfiles - Integrate cfu/cfb/cfna/cft TT#124407 SubscriberProfiles - Show all features if no SubscriberProfile and no SubscriberProfileSet is set
  * [d1cb5f7] TT#124406 SubscriberProfiles - Integrate fax_server

  [ Manuel Montecelo ]
  * [6ea6a06] TT#118659 Switch Dockerfiles from Debian buster to bullseye

  [ Sergii Leonenko ]
  * [06ba06a] TT#96358 As a Subscriber, I want to see a list of my SubscriberRegistrations
  * [ab1bfa6] TT#122027 huge Sipwise logo bugfix

  [ Hans-Peter Herzog ]
  * [0742b47] TT#125301 Branding - Secondary color is used to colorize the background

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:36:42 +0200

ngcp-csc-ui (9.5.0.0+0~mr9.5.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [56efed6] TT#109763 Fix OfficeHours in the new CallForwarding implementation
  * [d2905c4] TT#110924 Fix q-separator regression from Quasar Upgrade
  * [793e634] TT#112013 CF - Fix date range data creation and interpretation
  * [e9fa434] TT#111551 Convert Tabs to Spaces
  * [571ba69] TT#108160 Branding - As Customer, I want to see the custom primary color if it is available

  [ Nico Schedel ]
  * [cca148c] TT#70901 selenium: rewrite tests to make them less sensitive to csc panel changes
  * [6c8dd34] TT#70901 selenium: fix some button ids

  [ Carlo Venusino ]
  * [509065d] TT#114750 Web fax sending page result in an error
  * [69ab2d4] TT#100755 CallRecordings - As Customer, I want to list CallRecordings

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 11:58:00 +0200

ngcp-csc-ui (9.4.0.0+0~mr9.4.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [d02f82e] TT#105551 Convert key based i18n translations to gettext based ones
  * [9f1b25c] TT#106254 AUI/CSC: As a Developer, I want to add a new translation by executing a script
  * [57c16b9] TT#107100 fix path issue in i18n:extract tool
  * [5c79fc7] TT#108902 As a Developer, I want to transform between human readable time periods and Perl library Time::Period based time periods back and forth

  [ Hans-Peter Herzog ]
  * [953c582] TT#108150 Fix vulnerabilities with NPM
  * [4d8821c] TT#109761 Upgrade Quasar to 1.15.2

  [ Carlo Venusino ]
  * [4994821] TT#108154 Upgrade Quasar to 1.15.0
  * [4387646] TT#104197 CF Custom Announcement basic functionalities
  * [42dd486] TT#106252 CF Custom Announcement actions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:53:00 +0100

ngcp-csc-ui (9.3.0.0+0~mr9.3.0.0) unstable; urgency=medium

  [ Sergii Leonenko ]
  * [63347a0] TT#100551 CSC: As Customer, I want to search PBXDevices by Username using a selection with autocompletion
  * [e86d06d] TT#96350 CSC: As Customer, I want to set my own Fax2Mail/Sendfax settings
  * [e4c421e] TT#96354 CSC: As a Customer, I want to toggle Music-on-hold
  * [2499e74] TT#104801 CSC: Fix initial state of MusicOnHold under CallSettings->General
  * [6df2d69] TT#96352 - CSC: As a Customer, I want change my Mail2Fax settings

  [ Carlo Venusino ]
  * [efd518f] TT#99204 CSC: As a Customer, I want to manage "Office Hours" as call forwarding type
  * [1c839a7] TT#99563 CSC: As a PBXAdmin, I want to see the allowed PBXExtension range near the PBXExtension input TT#99564 CSC: As a Customer, I want to be the PBXExtension validated according to the defined range
  * [507f9ee] TT#102700 CSC: Language options in "Call Settings" page
  * [b5cec06] TT#102703 CSC: Can select/persist/reset the preferred language
  * [564c294] TT#101107 CSC: As Customer, I want to see the custom Logo in the CSC header
  * [1c4f5dd] TT#100761 As a Customer, I want to see the number destination in call forwarding automatically rewritten

  [ Michael Prokop ]
  * [49956d7] TT#101060 Build-Depend on either yarnpkg or yarn + use according binary

  [ Hans-Peter Herzog ]
  * [c3a278f] TT#102400 Rework current state of CallForwarding
  * [cd736c1] TT#103253 Fix SourceSet creation in CallForwarding due to the new behaviour of the POST endpoint
  * [239466f] TT#103201 Close call forwarding condition popups if opening other popups or menus
  * [75fe9e8] TT#99753 Add identifiers to Vue.js components to improve selection in E2E tests
  * [5970573] TT#104154 Consolidate main menu

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:31:46 +0100

ngcp-csc-ui (9.2.0.0+0~mr9.2.0.0) unstable; urgency=medium

  [ Carlo Venusino ]
  * [d3591a2] TT#91101 CSC: As a Customer, I want to add new CF implementation to main menu
  * [08b813d] TT#92003 CSC: As a Customer, I want to filter PBXSeats by Name (display_name)
  * [3aabf8c] TT#94101 CSC: Upgrade new Call Forwarding to latest Quasar
  * [eccc51c] TT#97850 CSC: Fix dev env script
  * [497a17d] TT#94601 CSC: Migrate conferencing to latest Quasar
  * [cd9c2a8] TT#84211 CSC: As a Customer, I want to recover/reset my password

  [ Guillem Jover ]
  * [d93f586] TT#91650 Add a .mailmap file to correct author information

  [ Hans-Peter Herzog ]
  * [235f0ff] TT#88909 Migrate Quasar to version 1.14.0
  * [598084b] TT#94606 Fix conversation infinite scroll
  * [3ac8d92] TT#94800 Fix input fields for Manager Secretary
  * [77e67e5] TT#94800 Fix Manager Secretary Config input fields
  * [dd191ff] TT#94801 Fix intra pbx flag in PBXConfig
  * [b038c53] TT#94803 Fix wrong path in debian package
  * [075452c] TT#80753 Use a smaller preview version of each PBX device image in order to save bandwidth and improve render performance
  * [6f52bb2] TT#95204 PBXSeats improvements
  * [e24a029] TT#95600 Improve api methods
  * [1759423] TT#95604 Update developer guide
  * [b47c7e6] TT#95950 Introduce a basic pattern to create and handle Dialogs
  * [db22ffe] TT#96150 Improve developer guide
  * [ba5252c] TT#96152 Consolidate page components
  * [beef3b3] TT#96253 Upgrade to Quasar 1.14.1
  * [2dd8cce] TT#96365 Fix registry in yarn.lock
  * [88b6646] TT#96500 Fix date range filter for Conversations
  * [86e2acf] TT#96504 Fix sticky tabs arrows
  * [b3d668c] TT#99552 Provide unique ids to simplify end to end testing
  * [1cd9ff1] TT#99554 Fix vulnerabilities in dependencies
  * [2617778] TT#99555 Upgrade Quasar to new patch version 1.14.3
  * [e0832ea] TT#96818 Introduce vue-wait to reduce boilerplate code for request states

  [ Sergii Leonenko ]
  * [96c6ac4] TT#97200 CSC: Fix issues in "yarn run" scripts for Win platform
  * [9639b34] TT#96810 CSC: Fix PBX Model selection while filtering by Device Model
  * [213f52b] TT#96811 CSC: Refactor PBXDevice filtering
  * [61f635b] TT#96802 CSC: As a Customer, I want to filter PBXGroups
  * [307252d] TT#92007 and #96801 CSC: As a Customer, I want to filter PBXDevice by Extension and Username (Seat assigned as Private Line)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:25:07 +0100

ngcp-csc-ui (9.1.0.0+0~mr9.1.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [0646d1c] TT#87464 Fix data availability issue in CscUserMenu component

  [ Carlo Venusino ]
  * [9c62496] TT#86201 CF: Further requests optimisation
  * [04b4660] TT#85808 CF: As a Customer, I want to add condition "... and date range is" to forwarding groups
  * [8a0527d] TT#82507 CF: As a Customer, I want to add condition "... and weekdays are" to forwarding groups
  * [e5b8339] TT#84209 CSC: As a Customer, I want to filter Conversations by time range
  * [38e158e] TT#88205 CSC: As a PbxAdmin, I want to toggle visibility of the number towards the callee for each PbxSeat
  * [86b5147] TT#88206 CSC: As a PbxAdmin, I want to toggle visibility of the number towards the callee for myself

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:54:24 +0200

ngcp-csc-ui (9.0.0.0+0~mr9.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:48:31 +0200

ngcp-csc-ui (8.6.0.0+0~mr8.6.0.0) unstable; urgency=medium

  [ Carlo Venusino ]
  * [a252fe2] TT#81165 CF: Can click a new type of forwarding group under "Add forwarding"
  * [a34a8b0] TT#81166 CF: As a Customer, I want to add new forwarding groups "If call from ..."
  * [7911024] TT#81172 CF: Can see a popup after clicking "call from ..."
  * [0d7427f] TT#81173 CF: Can input a name to identify the source list, add a first number and save it
  * [7cf5a51] TT#81174 CF: Can see the title "If online and call from nameOfTheSourceList" after saving the new source list initially
  * [7e93882] TT#81171 CF: Can see the list of sources by clicking the highlighted part in the title "call from ..."
  * [a063d1a] TT#81502 CF: As a Customer, I want to delete entire forwarding groups
  * [4f6f3f2] TT#81164 CF: As a Customer, I want to add new forwarding groups "If call from ..."
  * [a21a007] TT#82501 As a Customer, I want to be forced to input a initial number/destination in order to add conditions afterwards
  * [3aa3c31] TT#82511 CF: Replace availability related terms
  * [a1a74e4] TT#82510 CF: As a Customer, I want have a separate toggle button which allows the user to enable/disable cft
  * [092e6bd] TT#82509 CF: As a Customer, I want to remove the condition "call from ..."
  * [06624d5] TT#81403 Admin Subscriber should be able to set seats password
  * [c0c77e6] TT#82506 CF: As a Customer, I want to add condition "... and date is" to forwarding groups

  [ Nico Schedel ]
  * [9966fbb] TT#70901 selenium: take screenshot if preperation fails
  * [bbe96a8] TT#70901 selenium: add new login tests
  * [f65b85b] TT#70901 selenium: fix customer creation on pro machines with cloudpbx enabled
  * [6894b5c] TT#70901 selenium: more post-80-column-change cleanups

  [ Hans-Peter Herzog ]
  * [3885a6a] TT#84202 As a Customer, I want to see the Send Fax button in a new location together with the other media functions
  * [4f77980] TT#83201 As a Customer, I want to see the RTCEngine related features if capability is enabled
  * [4c3f090] TT#84208 As a Customer, I want to delete Voicemails from Conversations
  * [eb1782e] TT#83201 Enable capability csc_show_rtcengine_features
  * [ca09f7f] TT#84214 As a Developer, I want to run the dev environment in Docker
  * [4c2d52b] TT#84210 As a Customer, I want to see my assigned numbers
  * [3c147c1] TT#84229 Partial search results for station name and mac address
  * [e9e1ea3] TT#85100 Can't open menu for logout on csc panel if subscriber doesn't have a number assigned

  [ Michael Prokop ]
  * [f599028] TT#85156 Apply consistent language labels style

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:52:51 +0200

ngcp-csc-ui (8.5.0.0+0~mr8.5.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [2926cec] TT#70901 selenium: edit 'presence of element' checks
  * [aa041c7] TT#70901 selenium: move loading screen waits into seperate function
  * [6a6afec] TT#70901 selenium: check if 'ring own phone' is clickable before clicking it
  * [baf1383] TT#70901 selenium: dont start geckodriver explicitly in testrunner script

  [ Carlo Venusino ]
  * [8554bf1] TT#75404 CF: As a Customer, I want to add phone numbers in order to forward calls to these numbers
  * [5f3b320] TT#76155 CF: As a Customer, I want to remove phone numbers
  * [fd123bd] TT#75405 CF: primary number rings before the call forward sequence is activated or not
  * [477ddfc] TT#79302 CF on/off the basic call forward sequence switcher
  * [e79b9c6] TT#79501 CF: As a Customer, I want to add "Voicemail" as destination
  * [ff73ab6] TT#79755 CF: Implement menu item "If offline"
  * [7065b35] TT#79758 CF Offline: Implement and integrate Vue components
  * [581e682] TT#79757 CF Offline implement mutations, actions and Vue store related functions
  * [9c3f1e6] TT#79307 CF Busy group
  * [21a5040] TT#81162 CF: Change cfo to cfna in store
  * [50e6e41] TT#81163 CF: Improve UX by reducing requests

  [ Hans-Peter Herzog ]
  * [6eddb6e] TT#78464 Ropa 28519 CSC -Subscriber: Call Duration to be display in Call History
  * [cc7a224] TT#79500 Fix layout regression in page component
  * [b2fb7e4] TT#80754 Remove white background from PBX device images

  [ Rene Krenn ]
  * [6acc93e] TT#78467 use total_customer_cost to include VAT
  * [b1ada97] TT#78467 enforce 2 fractional digits for total_customer_cost

  [ Victor Seva ]
  * [0eb65cf] TT#79804 allow longer lines for pep8 check
  * [220b59e] TT#79804 don't break lines on xpath

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:09:34 +0200

ngcp-csc-ui (8.4.0.0+0~mr8.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [ac5c696] TT#71950 Fix typos

  [ Nico Schedel ]
  * [8fa7c22] TT#70901 selenium: add multithreading to selenium tests
  * [b1905c5] TT#70901 selenium: add log messages to selenium tests
  * [0ba12d7] TT#70901 selenium: improve call forward tests
  * [2988212] TT#70901 selenium: properly seperate threading settings
  * [32d608b] TT#70901 selenium: reset cursor when launching move_and_click
  * [e194844] TT#70901 selenium: remove page load timeout
  * [a017a40] TT#70901 selenium: fix crashes when creating/deleting elements

  [ Carlo Venusino ]
  * [7e81564] TT#75407 Setup new call forward implementation
  * [7ae7e49] TT#39942 PBXConfig: Saving a field after editing several fields result in only the last one saved
  * [2082909] TT#75750 As a Customer, I want to see the subscriber's primary number
  * [8a1adda] TT#75404 CF: As a Customer, I want to add phone numbers in order to forward calls to these numbers

  [ Hans-Peter Herzog ]
  * [24b0207] TT#76800 CF: Design UX flow for time based call forwarding
  * [ad8cda2] TT#76800 CF: Office hours UX

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 16 Mar 2020 11:14:43 +0100

ngcp-csc-ui (8.3.0.0+0~mr8.3.0.0) unstable; urgency=medium

  [ Nico Schedel ]
  * [113292a] TT#70901 selenium: more improvements to login test
  * [0358602] TT#70901 selenium: add speed dial test
  * [9721e1a] TT#70901 selenium: add reminder test
  * [acb442d] TT#70901 selenium: speed up tests
  * [9f7006d] TT#70901 selenium: small cleanups and fixes
  * [211386c] TT#70901 selenium: add call blocking test
  * [1ab39e4] TT#70901 selenium: more test fixes
  * [413bc25] TT#70901 selenium: add conference and conversations test
  * [65c33a2] TT#70901 selenium: add voicebox test
  * [9d780e9] TT#70901 selenium: add settings test
  * [9dde0ca] TT#70901 selenium: add test: call forward always
  * [e77e735] TT#70901 selenium: add better error messages
  * [130107b] TT#70901 selenium: add file Functions.py
  * [98e07de] TT#70901 selenium: fix for crash in call_blocking
  * [037b1fa] TT#70901 selenium: create a second speed dial entry
  * [da9c026] TT#70901 selenium: add test: edit call blocking numbers once
  * [ea14a25] TT#70901 selenium: take a screenshot if test crashes
  * [667a70a] TT#70901 selenium: more minor fixes
  * [12bf595] TT#70901 selenium: more tests and fixes for call_forward_always
  * [499dbc0] TT#70901 selenium: add new login functions for ngcp panel
  * [e3ff694] TT#70901 selenium: add create/delete_customer
  * [033dae6] TT#70901 selenium: fix a wait condition in call_forward_always
  * [224cd40] TT#70901 selenium: add new test call_forward_always
  * [714f69e] TT#70901 selenium: more crash fixes
  * [0ce1242] TT#70901 selenium: reqire a customer when creating a subscriber
  * [0575189] TT#70901 selenium: add create_domain and delete_domain
  * [21f413c] TT#70901 selenium: add new test call_forward_after_hours
  * [3676eca] TT#70901 selenium: add tests: swap around call actions
  * [7f9e659] TT#70901 selenium: add scroll_to_element
  * [12679c0] TT#70901 selenium: improve waiting conditions in Collections.py functions
  * [70e0c14] TT#70901 selenium: add move_and_click
  * [cfffccc] TT#70901 selenium: add click_js
  * [8e3efdf] TT#70901 selenium: fix "if element is xpath" check
  * [df1943c] TT#70901 selenium: add test: change interface language
  * [c4639db] TT#54658 Language selection on login page
  * [c81c3af] TT#70901 selenium: disable "rename conference" and "copy conference link" test
  * [52a48ee] TT#70901 selenium: workaround for failing wait statements
  * [d5c9a74] TT#70901 selenium: add test: change language on the login screen

  [ Carlo Venusino ]
  * [5d9acff] TT#71331 Test conference store
  * [7a1e6a6] TT#71852 Fix Callforward api tests
  * [3a97514] TT#71853 Added localized labels to speedial and voicebox api tests
  * [47186b3] TT#71854 Participants container css adjustments
  * [8d94175] TT#47707 Conferencing: As a Customer, I want to mute/unmute all participants
  * [f861e0e] TT#71911 Conference: fix wrong merge
  * [c3899a5] TT#71912 Optimise muteState mutations
  * [3683217] TT#72500 Main media stream selection issue
  * [c2815c7] TT#71299 Conferencing: Improve the layout for mobile devices
  * [f7758b7] TT#73000 Fix remote participant selection

  [ Hans-Peter Herzog ]
  * [a113b4c] TT#72166 Integrate conference ended event
  * [df3f485] TT#72407 Additional refactoring of conference store
  * [3194276] TT#71865 Issue in the join/leave mechanism
  * [ab05c70] TT#74610 Conferencing: As a Customer, I want to see an info text whether the RTCEngine is disabled or not
  * [88c4427] TT#74610 Fix disabled-condition for conference join button

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:22:36 +0100

ngcp-csc-ui (8.2.0.0+0~mr8.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [5d930a5] TT#68659 Italian translations

  [ Hans-Peter Herzog ]
  * [b9bb89d] TT#69459 Fix media initialisation in CscMedia component
  * [95939e9] TT#69419 Fix avatar image path
  * [722a11e] TT#68657 Add Spanish language support
  * [151dc02] TT#47712 Conferencing: As a Customer, I want to initiate a conference by clicking a button on the start page
  * [81f46b5] TT#70157 Fix duplicate media creation issue
  * [8f0fa87] TT#70200 Conferencing > most recent joined participant as current selected one
  * [4ef7e35] TT#70100 i18n: Translate English to German
  * [079e4a1] TT#71282 Fix error code type issue in ngcp api client

  [ Carlo Venusino ]
  * [37909a6] TT#47708 Conferencing > show participant local video
  * [986d954] TT#44287 Conferencing - display the list of participants
  * [8cf6234] TT#47718 Select participant in main content area
  * [79fb9c9] TT#47712 As a Customer, I want to initiate a conference by clicking a button on the start page
  * [8de739f] TT#47706 Conferencing: As a Customer, I want to mute/unmute each participant separately
  * [7b4529b] TT#70963 Remove scrollbar from ParticipantItem container

  [ Nico Schedel ]
  * [a28cc29] TT#70901 initial commit for ngcp-csc-ui selenium tests

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:55:59 +0100

ngcp-csc-ui (8.1.0.0+0~mr8.1.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [76b1bb5] TT#64704 Force npm cli to download packages from sipwise npm mirror
  * [7bdc66d] TT#64951 Migrate dependency locking mechanism from 0 to 1
  * [aac30cc] TT#64952 Fix several vulnerabilities in dependencies
  * [e8abe0e] TT#66158 Call: Fix remote video bug in minimized state
  * [7a56c26] TT#64750 General: As a Subscriber, I want to change my webpassword
  * [617e13f] TT#67160 Set logging mode to debug for RTCEngine in dev-config script

  [ Carlo Venusino ]
  * [2dc660e] TT#66575 Conferencing: Join possible without media enabled

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:08:59 +0200

ngcp-csc-ui (8.0.0.0+0~mr8.0.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [6d64878] TT#60950 Switch ngcp-csc-ui docker to buster

  [ Guillem Jover ]
  * [d73a664] TT#61101 Remove obsolete alternative dependencies
  * [efbab1b] TT#61954 Update copyright years
  * [7efe66a] TT#61954 Namespace debhelper fragment files
  * [fa5486e] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat
  * [369e129] TT#63301 Fix package section

  [ Hans-Peter Herzog ]
  * [d2d4630] TT#61810 PBXConfig: Rework and improvements
  * [5a15381] TT#61810 Activate toasts for crud operations on pbx devices
  * [83771d7] TT#61810 Activate toasts and error messages for crud operations on call queues
  * [4800776] TT#63409 SoundSets: As PBXAdmin I want to unset a SoundSet as contract default
  * [3b25cc2] TT#56391 ManagerSecretary: As a PBXAdmin, I want to manage manager secretary configurations
  * [1644065] TT#56394 Implemented toasts for all crud operations in manager secretary config
  * [06488ae] TT#56394 Implemented toasts for section PBXConfiguration/SoundSets
  * [d3dcb67] TT#56394 Show proper message if entity list is empty

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 20:56:09 +0200

ngcp-csc-ui (7.5.0.0+0~mr7.5.0.0) unstable; urgency=medium

  [ Robert Axelsen ]
  * [caaa202] TT#47515 User can upload a sound file
  * [022b9f2] TT#56373 SubscriberAdmin sees invalid collapsed
  * [7783fd2] TT#56159 Customer wants to see alternative name
  * [b691f24] TT#47517 Change sound item loop flag
  * [f59f799] TT#55911 Assign SoundSet to PBXGroup or PBXSeat

  [ Hans-Peter Herzog ]
  * [fe50cda] TT#55900 Conferencing: As a Customer, I want to join the conference
  * [f8e6484] TT#47703 Conferencing: Media renegotiation
  * [29742e9] TT#47703 Conferencing: Improve media renegotiation
  * [1b070aa] TT#44291 Conferencing: As a Customer, I want to leave the conference gracefully
  * [fd9d72d] TT#44287 Conferencing: Replace hard coded strings
  * [edc53e9] TT#59366 Call: Fix call store reference

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:36:58 +0200

ngcp-csc-ui (7.4.0.0+0~mr7.4.0.0) unstable; urgency=medium

  [ Robert Axelsen ]
  * [af2c112] TT#52621 Change language for current session
  * [da0da9d] TT#53607 Remove '+' symbol on logs and outgoing
  * [8d95437] TT#47513 Grouped list of SoundItems
  * [125cdd8] TT#47520 Change an existing SoundSet
  * [be8ece3] TT#55874 Remove hardcoded sound handles filter
  * [e136698] TT#47514 Play sound item sound file
  * [6252fdc] TT#55908 Fix delay after clicking expand button
  * [81dcafe] TT#56068 Fix sound file upload floatLabel bug
  * [fa7f91f] TT#47509 Create new SoundSet
  * [35e9c8d] TT#47518 Get alerted about invalid soundsets
  * [b39ff78] TT#47516 User can remove sound file

  [ Hans-Peter Herzog ]
  * [f1f5bc3] TT#31302 Conferencing: As a Customer, I want to join a conference by using a URL
  * [1fc7d7c] TT#55909 i18n: After first login the current selected language shows "unknown"
  * [fbb97b1] TT#55909 i18n: Fix language label retrieval

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:28:53 +0200

ngcp-csc-ui (7.3.0.0+0~mr7.3.0.0) unstable; urgency=medium

  [ raxelsen ]
  * [c8b4859] TT#48955 Use the CustomDialpad instead of native
  * [a240993] TT#52575 Replace hardcoded english terms
  * [c445837] TT#52352 Loading call queue preferences fail
  * [fb4ba30] TT#47510 Extra page section for managing SoundSets
  * [d5bc3d4] TT#52801 Subscriber Admin wants to remove soundset
  * [1f051f4] TT#51303 API method to fetch blocked numbers
  * [769b2fd] TT#52974 Call history shows wrong call log time

  [ Hans-Peter Herzog ]
  * [35989a7] TT#45554 WebRTC media stack refactoring
  * [d16320e] TT#50227 Call: Fix screen sharing issues with Safari
  * [e33e385] TT#50350 Call: Fix video element issue in Safari
  * [dfd5157] TT#47538 Call: Fit the remote video always entirely to the current resolution and orientation
  * [99e7725] TT#51083 Call: Fix number input position
  * [0193351] TT#52484 Call: Fix resizing of the minimized remote video

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:54:45 +0100

ngcp-csc-ui (7.2.0.0+0~mr7.2.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [8e1a960] TT#47003 Call: Integrate new color scheme
  * [b346008] TT#47588 CallBlocking: As a Customer, I want to block anonymous incoming calls
  * [091f37a] TT#48646 Security: Fix possible prototype pollution attack in lodash
  * [167696e] TT#49036 Login: Report error coming from the login procedure to browser console

  [ raxelsen ]
  * [5a152e3] TT#44662 Customer wants to play busy greeting
  * [02137b1] TT#46172 Impl PIN validation in Voicebox settings
  * [26224ec] TT#47384 Page to manage CallQueueConfiguration
  * [62c65b9] TT#46178 SpeedDial destination input validation
  * [c75e215] TT#46176 CallForward destination input validation
  * [4320ab2] TT#48305 Fix cancel button stopped by validation
  * [5e29490] TT#47386 Create new call queue config item
  * [8fd55c3] TT#46179 Send Fax number input validation
  * [c8d522d] TT#46174 CallBlocking number input validation
  * [2fbd048] TT#47389 Change queue length of subscriber
  * [cdbb7ca] TT#47388 Remove call queue config item
  * [bf661f4] TT#47986 Jump from a Seat/Group to CallQueue item

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 21:58:27 +0100

ngcp-csc-ui (7.1.0.0+0~mr7.1.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [7e43285] TT#44636 Development: Add MTA configuration to dev script
  * [2fb4691] TT#45686 Development: Extend dev config script to enable conferencing and related services by default
  * [8c43755] TT#45712 Implement Nuwings CSC 1:1 call wire frames
  * [36330a2] TT#45671 Call: Improved error handling
  * [979eefd] TT#45671 Call: Fix loading the user data after refresh
  * [9074e70] TT#47003 Call: Diverse bug fixes
  * [80fa75d] TT#47274 Fix: Routing issue while maximizing the call on mobile devices

  [ raxelsen ]
  * [5f1133a] TT#34950 Add attachment option to send fax feature
  * [74dc8cf] TT#40083 User wants to configure voicebox settings
  * [aed143b] TT#44967 Customer wants to see cost of an item
  * [f872d4d] TT#44661 Upload a custom "busy" greeting sound
  * [399de96] TT#44664 Upload a custom "unavail" greeting sound
  * [9d06ca5] TT#46169 Phone number input validation
  * [b706d1b] TT#46165 Ensure consistent add and cancel icons
  * [2fe7281] TT#46168 Impl MAC Address validation in PBXDevices
  * [5998565] TT#45378 Integrate new standard font

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:36:35 +0100

ngcp-csc-ui (7.0.0.0+0~mr7.0.0.0) unstable; urgency=medium

  [ raxelsen ]
  * [6117c5f] TT#40257 List of assigned speed dials
  * [6c303cc] TT#40256 User wants to remove speed dial config
  * [9823d6c] TT#40255 Customer wants to add speed dial config
  * [72ad4e4] TT#40350 Add validation library vuelidate
  * [91e33e2] TT#37304 CallForwarding: As a Customer, I want to enable/disable calls to my own number
  * [f6795c7] TT#40253 Notify user invalid destination input
  * [3ee3313] TT#44068 Single-step to add non-number destination
  * [cd40d0b] TT#40252 Validation for PBXDevice add form
  * [a8e7df6] TT#40352 See tabs nav sticky while scrolling down
  * [a14d686] TT#43501 Speed up convs requests by using no_count

  [ Tijana Maksimovic ]
  * [7b6b3c0] TT#37655 Customer wants to filter by mac address

  [ Hans-Peter Herzog ]
  * [9b97844] TT#42658 Remove nginx customtt files and add new csc_dev flag to dev config script to enable CORS
  * [c3963b1] TT#37656 PBXConfig: As a Customer, I want to filter PBXDevices by station_name
  * [40e15ad] TT#40251 PBXConfig: As a Customer, I want to get notified about invalid input before creating a PBXSeat
  * [f867c69] TT#40250 PBXConfig: As a Customer, I want to get notified about invalid input before creating a PBXGroup
  * [fc6e8c6] TT#32756 Call: As a Customer, I want to input numbers via a Dialpad to be able to send DTMF
  * [68ee708] TT#44518 PbxConfiguration: Fix item background color if in the expanded state
  * [82a98ed] TT#43554 Call: Refactor CSC call vue.js component

  [ Michael Prokop ]
  * [4ca5ad5] TT#42950 Update instructions for configuring exim4 MTA
  * [3a89996] TT#44161 Support Debian/buster by Build-Depending on either npm or nodejs

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:55:13 +0200

ngcp-csc-ui (6.5.0.0+0~mr6.5.0.0) unstable; urgency=medium

  [ raxelsen ]
  * [e7d974e] TT#32966 Update Conversations List After Call
  * [7abe8f2] TT#37311 Extract playable voicemail audio file
  * [7c22a93] TT#37654 Filter PBXDevices by phone model
  * [7cb906c] TT#37651 Change station name of PBXDevice
  * [d1071ba] TT#38778 Fix voicemail component file permissions
  * [126bd12] TT#38781 Update conversations list when call ends
  * [af8602d] TT#38786 Fix console errors in timeset modules
  * [3aec25e] TT#38810 See failed Faxes marked differently
  * [beda2c8] TT#39947 Fix issue with cancel button saving
  * [8d008b8] TT#39932 Call button visible when call disabled
  * [a64f92b] TT#39817 Show non-number dests and fix tooltip
  * [1b74777] TT#39930 Issues timestamp convs for Chrome/Safari
  * [50f7c5e] TT#39927 Fix issue time and dests briefly shown
  * [6d2515e] TT#40051 Fix manual authentication pbx safari
  * [bcaf178] TT#40452 Fix loading animation in timesets
  * [0caebab] TT#39926 Fix add source vue-warn prop error
  * [5a104b4] TT#39810 Disabled send fax if fax is inactive
  * [bb39aa1] TT#39618 Alternative pbx seats/groups entity title
  * [a691c1c] TT#40422 Fix issue with destinations list mobile

  [ Tijana Maksimovic ]
  * [f2b2902] TT#37314 Implement UI for player (buttons and progress bar)
  * [dbea287] TT#20309 Conversations: As a Customer, I want to filter items by type (call, voicemail, fax, etc. ...)

  [ Hans-Peter Herzog ]
  * [bd629d5] TT#20520 PBXConfig: As a Customer, I want to remove PBX Devices
  * [f81efe9] TT#37259 Dev: Enable PATCH requests with header Prefer for CORS config
  * [3f026fa] TT#36173 Global: As a Customer I want to see the page title in the title bar
  * [93dff5b] TT#37302 PBXConfig: As a Customer, I want to assign groups or seats to a PBXDevice button
  * [0c98a79] TT#20519 PBXConfig: As a Customer, I want to add new PBX Devices
  * [60fd754] TT#37652 PBXConfig: As a Customer, I want to change the MAC address of a PBXDevice
  * [858f812] TT#37555 Conversations: Fix and refactor conversation list and infinite scroll
  * [57957c8] TT#38602 Conversations: Fix the reset process to be able to reload the list properly
  * [1064711] TT#37653 PBXConfig: As a Customer, I want to change the phone model of a PBXDevice
  * [32d6de6] TT#39164 Conversation: As a Customer, I want to see a message if list is empty
  * [d435d67] TT#37657 Release: Enable the new CSC by default
  * [9c1f6ae] TT#38820 PBXConfig: As a Customer, I want to be able to assign groups and seats to keys coming from multiple line ranges
  * [63b9433] TT#39754 Global: Implement dynamic page title
  * [54c1b07] TT#39593 [Issue] Call: Unable to open right drawer again after resizing and swiping it away
  * [84d0197] TT#39589 CallBlocking: Refactor component, actions and store methods
  * [d99f6fa] TT#39948 Reminder: Refactor api methods, component, mutations and actions
  * [35e13e6] TT#40099 PBXConfig: As a Customer, I want to stay in the expanded seat/group after saving a single field
  * [eeb9df5] TT#40454 [Issue] General: Adjust subtitle of conversations

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:36:23 +0200

ngcp-csc-ui (6.4.0.0+0~mr6.4.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [d04cbe3] TT#20512 PBXConfig: As a Customer, I want to edit PBX Groups
  * [46aad5d] TT#20517 PBXConfig: As a Customer, I want to edit PBX Seats
  * [d5e7a0b] TT#20518 PBXConfig: As a Customer, I want to see a list of all PBX Devices
  * [c3a1e3d] TT#36018 PPBXConfig: As a Customer, I want to navigate through the list of pbx groups by using a pagination mechanism
  * [7ac0d79] TT#33904 [Issue] Call: Inputting number on mobile is behaving strangely
  * [bcc3fa4] TT#36009 PBXConfig: As a Customer, I want to see the model image for a pbx device item
  * [6071b43] TT#35501 PBXConfig: As a Customer, I want see all buttons and assigned seats of a device item

  [ raxelsen ]
  * [5503be2] TT#31802 Customer wants to see AfterHours
  * [a8aff87] TT#35253 Conversations: Uncaught promise error bug
  * [9042140] TT#35650 Duplicate CF times form bug
  * [d3211cb] TT#20311 Customer wants to send a fax
  * [77b84d6] TT#28063 Destinations grouped by SourceSets
  * [6c260ae] TT#20311 Add missing send fax feature doc details
  * [c38110a] TT#28064 Add new source and sourceset
  * [afbe0a0] TT#28066 Add a new Source to a SourceSet
  * [acd8f5b] TT#28065 User wants to remove sourcesets
  * [6384688] TT#36666 Call: Add doc section enable call feature
  * [88499ca] TT#28067 Remove source from sourceset

  [ Tijana Maksimovic ]
  * [7842fa2] TT#34859 CallForwarding: Polish timeset and destination list for mobile devices
  * [f128aec] TT#35360 Optimise destination list for mobile devices
  * [6c012fe] TT#36014 General: Set list hover highlight color to a light version of the primary color
  * [c32aa05] TT#33811 Login: Could not login via Safari
  * [56a8760] TT#36025 [Issue] CallForwarding: Timeset creation form gets enabled in both  sections at the same time
  * [6a2d0e7] TT#35922 Global: Adjust position of the FAB on mobile devices
  * [6809615] TT#36175 [Fix] Global: Adjust position of the FAB on mobile devices
  * [803128e] TT#36010 PBXConfig: As a Customer, I want to see a toast after each successful action
  * [cbd74a9] TT#37301 Create custom audio player component

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:05:25 +0200

ngcp-csc-ui (6.3.0.0+0~mr6.3.0.0) unstable; urgency=medium

  [ raxelsen ]
  * [9567594] TT#28058 Add New Call Forward Destination
  * [8666f25] TT#28062 Change order of destination
  * [cefb66b] TT#28056 List all company hours destinations
  * [fcbd7f6] TT#28057 List all after hours destinations
  * [31695ab] TT#32750 Implement startpage with feature overview
  * [f345683] TT#31801 List Company Hours Times
  * [3a2f7bd] TT#31803 Remove time from timeset
  * [5e47053] TT#32961 Call number input field auto focused
  * [f0a2fa1] TT#28060 Add time to company hours
  * [2fa2070] TT#34011 Indication of active destinations
  * [dcdab20] TT#20532 As a Customer, I want to download a single Fax

  [ Hans-Peter Herzog ]
  * [02c8221] TT#23608 Call: As a Customer, I want be able to see an established call
  * [38d68c1] TT#31457 General: Improve layout for mobile devices
  * [74a0bc0] TT#31651 Call: Enable fullscreen on mobile devices by default
  * [e2b927e] TT#31652 General: Show communication button if at least one capability is enabled
  * [508e870] TT#31652 General: Fix communication button
  * [3463789] TT#20511 PBXConfig: As a Customer, I want to remove PBX Groups
  * [3475daa] TT#20513 PBXConfig: As a Customer, I want to see a list of all PBX Seats
  * [b81d974] TT#32987 Call: As a Customer I want to get notified about an incoming call
  * [29c060e] TT#32750 Startpage: Font size and margin adjustments
  * [9e4c5cb] TT#32204 Session: As a Customer I want to get logged out properly if session is expired
  * [8db9bbd] TT#32204 Session: Ignore logout timeout if session expiration is not set in jwt
  * [57a26ca] TT#33129 Call: Changed icons in call dialog
  * [66ed5ff] TT#33307 Call: As a Customer I want to see the desktop sharing button only if device has the capability
  * [6f131ea] TT#33412 Call: As a Customer, I want to get a installation hint if chrome extension in not installed
  * [bb61dc5] TT#33389 Call: Ringing sound does not stop playing
  * [831e322] TT#33814 CodeQuality: Introduce ESLint for syntax and semantic checks
  * [ca114f0] TT#34101 Get the chrome extension url dynamically from RTCEngine

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:29:08 +0200

ngcp-csc-ui (6.2.0.0+0~mr6.2.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [3db9b92] TT#23572 Call: As a Customer, I want to be able to receive an audio/video call
  * [54c98fc] TT#20509 PBXConfig: As a Customer, I want to see a list of all PBXGroups
  * [4ff24c0] TT#29910 Call: Show the toast regarding call initialisation only if RTC:engine is enabled
  * [d2301fd] TT#28106 PBXConfig: As a Customer, I want to add new PBX Groups

  [ raxelsen ]
  * [54c0aa0] TT#20530 Implement playable voicemail
  * [3eb81fa] TT#27768 Implement fax infos and collapsible
  * [80c14dc] TT#28600 Implement Destinations Store

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:54:27 +0100

ngcp-csc-ui (6.1.0.0+0~mr6.1.0.0) unstable; urgency=medium

  [ Hans-Peter Herzog ]
  * [99bd237] TT#23018 Setup: Create and prepare project skeleton for new CSC Web UI
  * [f01543c] TT#23291 Setup: Created page component
  * [dd0319e] TT#23357 Build: Fix issue with production build watcher
  * [3b8f5a4] TT#23369 CallBlocking: As a Customer I want to enable/disable the functionality
  * [24daa20] TT#23175 CallBlocking: As a Customer I want to add a new number
  * [dd4ea07] TT#23176 CallBlocking: As a Customer I want to remove a number from the list
  * [077393c] TT#23436 Add first api client test as template
  * [dca71df] TT#23367 CallBlocking: As a Customer I want to block outgoing numbers
  * [15729c0] TT#23601 Call: As a Developer I want to have the cdk (RTC:engine) integrated in the project
  * [6ab38fc] TT#23603 Call: As a Customer I want to input a number and start a call
  * [153adaf] TT#24900 CallBlocking: Rework and fix wrong meaning of enabling and disabling
  * [0113f4a] TT#24903 Improve page title styling
  * [91d14a8] TT#24415 Call: Play ringing sound

  [ raxelsen ]
  * [5bbe25c] TT#23408 Add dev env install and build steps
  * [649d147] TT#23169 As a Customer i want to hide my number
  * [a5d6d1b] TT#23575 Create CONTRIBUTING.md and define done
  * [256cd94] TT#23813 Implement minimal card component
  * [93ea881] TT#23958 Implement infinite scroll
  * [d69fd38] TT#25951 Update TESTDATA.md with db dump import
  * [c96b53a] TT#24843 Implement call action button
  * [0081b1e] TT#25001 Call forward api calls and tests
  * [582ccf6] TT#25261 Show call data in collapsible
  * [77c5af2] TT#26651 Implement the list in opposite order

  [ Carlo ]
  * [24d7397] TT#23168 CSC Reminder module

  [ Guillem Jover ]
  * [ddabf7c] TT#22072 Update packaging

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:08:22 +0100

ngcp-csc-ui (6.0.0.0+0~mr6.0.0.0) unstable; urgency=medium

  * Initial revision

 -- Sergii Kipot <skipot@sipwise.com>  Tue, 3 Oct 2017 17:00:00 +0200
